# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/x11-wm/wm2/wmx-6.ebuild,v 1.2 2003/03/09 07:04:28 vapier Exp $

IUSE=""

S=${WORKDIR}/${P}
CONF="wmx-6.conf"
DESCRIPTION="another window manager"
HOMEPAGE="http://www.all-day-breakfast.com/wmx/"
SRC_URI="http://www.all-day-breakfast.com/wmx/${P}.tar.gz"

DEPEND="virtual/x11"
RDEPEND="${DEPEND}"

SLOT="0"
LICENSE="wmx"
KEYWORDS="~x86 ~ppc ~sparc ~alpha"

src_unpack() {
	unpack ${A}

	cd ${S}
	patch -p1 < ${FILESDIR}/${PF}.diff || die

	sed 's/^#/%/' Config.h > ${CONF}
	test -e "/etc/wmx/${CONF}" && sed 's/^%/#/' /etc/wmx/${CONF} > Config.h
}

src_compile() {
	./configure --prefix=${ROOT}/usr --host=${CHOST} || die
	make CCC="${CXX}" CXXFLAGS="-I/usr/X11R6/include ${CXXFLAGS}" || die
}

src_install() {   
	install -d ${D}/usr/bin
	cp wmx ${D}/usr/bin
	install -d ${D}/etc/wmx
	cp ${CONF} ${D}/etc/wmx
	dodoc README* UPDATES
}

pkg_postinst () {
	einfo
	einfo "Edit /etc/wmx/${CONF} and emerge for configuration."
	einfo
}
